﻿using COA.EnterpriseServices.DataAccess.Helpers;

namespace COA.EnterpriseServices.Creditors
{
    public class CreditorLibrary
    {
        private readonly CreditorHelper creditorHelper;

        public CreditorLibrary(CreditorHelper creditorHelper)
        {
            this.creditorHelper = creditorHelper;
        }

        public string GetCreditorStatus(int creditorId)
        {
            var creditor = creditorHelper.GetCreditor(creditorId);

            return creditor.Status;
        }

        public bool SetCreditorStatus(int creditorId, string status)
        {
            return creditorHelper.SetCreditorStatus(creditorId, status);
        }

        public void AddOfferResponse()
        {
            // just a stub until we add actual DataObjects

            creditorHelper.SetOriginalCreditorAsPrimary(1);
        }
    }
}
